
# Main Configuration File for the W3C Markup Validation Service.
#
# See 'perldoc Config::General' for the syntax, and be aware that the
# 'SplitPolicy' is 'equalsign', ie. keys and values are separated by '\s*=\s*',
# 'InterPolateVars' and 'AutoTrue' are on, and 'CComments' is off.
#

#
# Base Path for Markup Validator files.
#
# You MUST set these unless you use the default locations for the files.
# e.g. the config files in "/etc/w3c/" and everything else in
# "/usr/local/validator/".
#
# Make sure all file paths below do NOT end with a slash

<Paths>
  #
  # Base path.  Defaults to the value of the W3C_VALIDATOR_HOME environment
  # variable or /usr/local/validator if the variable does not exist.
  Base = /usr/share/w3c-markup-validator

  #
  # Location of template files
  Templates = $Base/templates

  #
  # Directory where to store cached templates.  Relative paths are
  # treated as relative to the system temporary directory.  Templates
  # are not cached at all if this option is empty or not set, except
  # with mod_perl setups where this option has no effect and templates
  # are always cached in memory.
  #Cache = validator

  # configuration file for HTML::Tidy Module, if available
  TidyConf = /etc/w3c/tidy.conf

  <SGML>
    #
    # The SGML Library Path.
    Library = /usr/share/xml/w3c-sgml-lib/schema/dtd
  </SGML>
</Paths>

#
# This controls whether the debugging options are allowed to be enabled.
Allow Debug = yes

#
# This lets you permanently enable the debugging options. Can be overridden
# with CGI options (unlike "Allow Debug" above).
Enable Debug = no

#
# Whether private RFC1918 addresses are allowed.
Allow Private IPs = no

#
# Enable (or not) the web service API for this validator
# see http://validator.w3.org/docs/api.html
Enable SOAP = yes


#
# Whether the validator will check its own output.
# 0 means it will refuse to check its own output, 1 means it will but it will
# refuse to check the results of it checking itself. Etc.
Max Recursion = 0

#
# Protocols the validator is allowed to use for retrieving documents.
# The default is to allow http and https.
<Protocols>
  Allow = data,ftp,http,https
</Protocols>

#
# Email address of the maintainer of this service.
Maintainer = webmaster@localhost

# Localization
# only English available for now
Languages = en



#
# Mapping tables etc...
#

#
# Main document Type Registry; contains all information on the types
# of documents we support and how they are processed.
<Types>
  Include types.conf
</Types>

#
# Mapping of charset names to their IANA names and how iconv(3) knows them.
<Charsets>
  Include charset.cfg
</Charsets>

#
# Map MIME Media Type to Parse Mode mapping.
<MIME>
  text/xml              = XML
  image/svg             = XML
  image/svg+xml         = XML
  application/smil      = XML
  application/xml       = XML
  text/html             = TBD
  text/vnd.wap.wml      = XML
  application/xhtml+xml = XML
  application/mathml+xml = XML
</MIME>

<External>
## Enable checking documents via external services.
## The example config below assumes that you have installed the validator.nu
## engine on the same machine as the markup validator.
## See http://about.validator.nu/ for installation instructions.
#HTML5 = http://localhost:8888/html5/
#CompoundXML = http://localhost:8888/
</External>
